<?php

declare(strict_types=1);

namespace App\Controller\TblHistorialEvaluaciones;

use App\Service\TblHistorialEvaluacionesService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblHistorialEvaluacionesService(): TblHistorialEvaluacionesService
    {
        return $this->container->get('TblHistorialEvaluaciones_service');
    }
}
